import "dustjs-helpers";
import { ITemplateLoader, ITemplateRenderer } from "lambda-framework";
import IDustTemplateRendererOptions from "./IDustTemplateRendererOptions";
/**
 * Render a template with the given template loader and dust template engine.
 */
export default class DustTemplateRenderer implements ITemplateRenderer {
    private _templateLoader;
    private _extension;
    constructor(templateLoader: ITemplateLoader, opts?: IDustTemplateRendererOptions);
    render(fileName: string, params: {
        [name: string]: any;
    }, engineConfig: {
        [name: string]: any;
    }, callback: (error: Error, content: string) => void): void;
    private addExtension;
}
